package de.avatic.taricdb.model;

import java.time.LocalDate;

import jakarta.validation.constraints.Size;


public class MeasureActionDesc {

    private Integer id;

    @Size(max = 2)
    private String lang;

    private String desc;

    private LocalDate descStartDate;

    public MeasureActionDesc(String lang, String desc, LocalDate descStartDate) {
		this.lang = lang;
		this.desc = desc;
		this.descStartDate = descStartDate;
	}

	public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public String getLang() {
        return lang;
    }

    public void setLang(final String lang) {
        this.lang = lang;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(final String desc) {
        this.desc = desc;
    }

    public LocalDate getDescStartDate() {
        return descStartDate;
    }

    public void setDescStartDate(final LocalDate descStartDate) {
        this.descStartDate = descStartDate;
    }


}
